using Myra.Graphics2D.UI;

namespace Sledgemapper.UI
{
	public partial class MainWidget
	{
		 public void ClearSelection()
         {
            ClearSelection(GridTiles);
            ClearSelection(GridWalls);
            ClearSelection(GridOverlays);
         }

        private void ClearSelection(Grid grid)
        {
            foreach (var widget in grid.Widgets)
            {
                widget.Border = null;
            }
        }
	}
}